bool load(unsigned int AccNum, unsigned int index)
{
	char			fileName[32]	= {0};//large for multipurpose
	char			tempStr[64]		= {0};
	double			dblData			= 0.0;
	float			fltData			= 0.0;
	unsigned long	unLongData		= 0;
	long			lngData			= 0;
	unsigned int	unIntData		= 0;
	int				intData			= 0;
	unsigned short	unShtData		= 0;
	short			shtData			= 0;
	unsigned short	counter			= 0;
	bool			blData			= false;
	string			strData			= "";

	ifstream input;
	sprintf(fileName, "PC_%d_%d.txt", AccNum, index);
	input.open(fileName);

	if(!input.eof())
	{
		input >> blData;		Created			= blData;
		input >> shtData;		textRed			= shtData;
		input >> shtData;		textGreen		= shtData;
		input >> shtData;		textBlue		= shtData;
		input >> shtData;		Title			= shtData;
		input >> shtData;		LastName		= shtData;
		input >> shtData;		FirstName		= shtData;
		input >> unShtData;		Sex				= unShtData;
	}
	else
	{
		MessageBox(NULL, "Failed to load Character Data 1", "File Error", MB_OK);
		input.close();
		return false;
	}
	if(!input.eof())
	{
		input >> unShtData;		PortNumber		= unShtData;
		input >> unShtData;		Weight			= unShtData;
		input >> unShtData;		BirthDay		= unShtData;
		input >> unShtData;		BirthMonth		= unShtData;
		input >> unShtData;		BirthYear		= unShtData;
		input >> unShtData;		Age				= unShtData;
		input >> shtData;		Str				= shtData;
		input >> shtData;		Dex				= shtData;
		input >> shtData;		Con				= shtData;
		input >> shtData;		Int				= shtData;
		input >> shtData;		Wis				= shtData;
		input >> shtData;		Cha				= shtData;
	}
	else
	{
		MessageBox(NULL, "Failed to load Character Data 2", "File Error", MB_OK);
		input.close();
		return false;
	}
	if(!input.eof())
	{
		input >> shtData;		facing			= shtData;
		input >> shtData;		Mounted			= shtData;
		input >> blData;		Standing		= blData;
		input >> fltData;		Local.setX(fltData);
		input >> fltData;		Local.setY(fltData);
		input >> fltData;		Local.setZ(fltData);
		input >> fltData;		World.setX(fltData);
		input >> fltData;		World.setY(fltData);
		input >> fltData;		World.setZ(fltData);
	}
	else
	{
		MessageBox(NULL, "Failed to load Character Data 3", "File Error", MB_OK);
		input.close();
		return false;
	}
	for(counter = 0; counter < 22; ++counter)
	{
		if(!input.eof())
		{
			input >> unShtData;		Body[counter].SetWhat(unShtData);
			input >> unShtData;		Body[counter].SetAmount(unShtData);
		}
		else
		{
			sprintf(tempStr, "Failed to load Character Data 6 loop %d", counter);
			MessageBox(NULL, tempStr, "File Error", MB_OK);
			input.close();
			return false;
		}
	}
	/*
		Need to add code to get the 'stored' equipment and load it into the packs - 
		Suggested to have a file per pack location.

		1: Backpack
		2: Belt location 1
		3: Belt location 2
		4: Belt location 3
		5: Belt locaiton 4
		6: Belt location 5
		7: Belt location 6
	*/
	input.close();
	return true;
}
bool save(unsigned int AccNum, unsigned int index)
{
	char			fileName[30]	= {0};//large for multipurpose
	char			tempStr[45]		= {0};
	unsigned short	counter			= 0;

	ofstream output;
	sprintf(fileName, "PC_%d_%d.txt", AccNum, index);
	output.open(fileName);

	output << Created		<< " " << textRed		<< " " << textGreen		<< " " 
		   << textBlue		<< " " << Title			<< " " << LastName		<< " "
		   << FirstName		<< " " << Sex			<< "\n"

		   << PortNumber	<< " " << Weight		<< " " << BirthDay		<< " " 
		   << BirthMonth	<< " " << BirthYear		<< " " << Age			<< " "
		   << Str			<< " " << Dex			<< " " 
		   << Con			<< " " << Int			<< " " << Wis			<< " "
		   << Cha			<< "\n"

		   << facing		<< " " << Mounted		<< " " << Standing		<< " " 
		   << Local.getX()	<< " " << Local.getY()	<< " " << Local.getZ()	<< " "
		   << World.getX()	<< " " << World.getY()	<< " " << World.getZ()	<< "\n";
	for(counter = 0; counter < 22; ++counter)
	{
		output << Body[counter].GetWhat() << " " << Body[counter].GetAmount();

		//Don't Forget if you add additional things to be out-putted, 
		//that this loop needs to be updated with a new-line entry '\n'

		if(counter <= 21)	output << " ";//the \n goes here when ready
	//	else				output << " ";
	}
	/*
		Need to add code to get the 'stored' equipment and load it into the packs - 
		Suggested to have a file per pack location.

		1: Backpack
		2: Belt location 1
		3: Belt location 2
		4: Belt location 3
		5: Belt locaiton 4
		6: Belt location 5
		7: Belt location 6
	*/
	output.close();
	return true;
}